1 Reply Latest reply on Nov 27, 2013 10:07 AM by Mike M

    Can't get flash player plugin to load on firefox.

    rrogers329

      I have tried everything to get this one game to play. On IE9 it tells me I don't have a newer version of IE7, but I run IE9. So tried google chrome and I got a virus and won't do anything. So tried firefox and now it says flash player plugin crashed. Help I am not sure what to do, I really like the game.